<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProductPackageReceiptLabel" jhiTranslate="mpmApp.productPackageReceipt.home.createOrEditLabel">Create or edit a Product Package Receipt</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!productPackageReceipt.idPackage">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="productPackageReceipt.idPackage" readonly />
                </div>
                <div class="form-group" *ngIf="idInternal === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productPackageReceipt.internal" for="field_internal">Internal</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="productPackageReceipt.internalId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.organization.name}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.productPackageReceipt.shipFrom" for="field_shipFrom">Ship From</label>
                    <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="productPackageReceipt.shipFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.partyName}}</option>
                    </select>
                </div>                
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.productPackageReceipt.documentNumber" for="field_documentNumber">Document Number</label>
                    <input type="text" class="form-control" name="documentNumber" id="field_documentNumber"
                        [(ngModel)]="productPackageReceipt.documentNumber" />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
